Package io.flutter.embedding.android

# Enum KeyData.DeviceType

java.lang.Object
java.lang.Enum<KeyData.DeviceType>
io.flutter.embedding.android.KeyData.DeviceType

All Implemented Interfaces:
  `Serializable`, `Comparable<KeyData.DeviceType>`, `java.lang.constant.Constable`

Enclosing class:
  `KeyData`

public static enum KeyData.DeviceType extends Enum<KeyData.DeviceType>
The device type of the key data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `kDirectionalPad`
  `kGamepad`
  `kHdmi`
  `kJoystick`
  `kKeyboard`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getValue()`
  `static KeyData.DeviceType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static KeyData.DeviceType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### kKeyboard

    public static final KeyData.DeviceType kKeyboard

  - ### kDirectionalPad

    public static final KeyData.DeviceType kDirectionalPad

  - ### kGamepad

    public static final KeyData.DeviceType kGamepad

  - ### kJoystick

    public static final KeyData.DeviceType kJoystick

  - ### kHdmi

    public static final KeyData.DeviceType kHdmi

- ## Method Details

  - ### values

    public static KeyData.DeviceType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static KeyData.DeviceType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public long getValue()